<?php
/*********************************************************
程序名称：站长助手 WEBMASTER HELPER
作者：feixin
email:kusite@etang.com
版权：feixin (http://www.zc18.com)
//////////////////////////////////////////////////////////

最后编辑日期：2003-6-12
*********************************************************/

if (!defined('IN_WH')) {
  die("不要黑我啊");
}
$tmpfile_name = $WHuds->safecheck($WHuds->root . WH_SLASH . $file_name);

if(!$WHuds->exists($tmpfile_name))
{
	$WH->message("不存在此文件，返回！", "index.php?dir=$dir");
}
else
{

if(empty($action) || $action != "rename"){
echo <<<eot
改名其实也是移动功能，可移动到其他目录！
<form action="index.php?op=rename&action=rename" method="post">
<input type="hidden" name="dir" value="$dir">
<input type="hidden" name="file_name" value="$file_name">\n
将文件：$file_name <br />
改名为（路径要存在)：<input type="text" name="newfile_name" value="$file_name" size=80>

<br>
<center><input type="submit" value="编辑完成"></center>\n
</form>
eot;
}else{
	$tmpnewfile_name = $WHuds->safecheck($WHuds->root . WH_SLASH . $newfile_name);
	$result = $WHuds->rename($tmpfile_name, $tmpnewfile_name);

	if($result){ $WH->message("改名成功！", "index.php?dir=$dir");}
	else{ $WH->message("改名失败，可能你要移动的路径不存在！", "index.php?dir=$dir");}
}

}


?>